twitter4j

## Interface RateLimitStatusListener

    public interface RateLimitStatusListener

Author:
  Andrew Hedges - andrew.hedges at gmail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onRateLimitReached(RateLimitStatusEvent event)` Called when the account or IP address is hitting the rate limit. onRateLimitStatus will be also called before this event.
`void` `onRateLimitStatus(RateLimitStatusEvent event)` Called when the response contains rate limit status.

### Method Detail

#### onRateLimitStatus

    void onRateLimitStatus(RateLimitStatusEvent event)

Called when the response contains rate limit status.

Parameters:
  `event` - rate limit status event.

#### onRateLimitReached

    void onRateLimitReached(RateLimitStatusEvent event)

Called when the account or IP address is hitting the rate limit.
onRateLimitStatus will be also called before this event.

Parameters:
  `event` - rate limit status event.